From b4616ad744f2ffb33e74a2bf3c9464e9fd221f1f Mon Sep 17 00:00:00 2001
From: Sergey Radionov <RSATom@gmail.com>
Date: Sat, 3 Dec 2011 17:19:15 +0700
Subject: [PATCH 1/6] common/win32_fullscreen: SetVideoPosScrollPosByVideoPos
 should use libvlc_time_t instead of int

---
 common/win32_fullscreen.cpp |    2 +-
 common/win32_fullscreen.h   |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/common/win32_fullscreen.cpp b/common/win32_fullscreen.cpp
index 690d79c..f8ba995 100644
--- a/common/win32_fullscreen.cpp
+++ b/common/win32_fullscreen.cpp
@@ -677,7 +677,7 @@ void VLCFullScreenWnd::SetVideoPosScrollRangeByVideoLen()
     }
 }
 
-void VLCFullScreenWnd::SetVideoPosScrollPosByVideoPos(int CurScrollPos)
+void VLCFullScreenWnd::SetVideoPosScrollPosByVideoPos(libvlc_time_t CurScrollPos)
 {
     SendMessage(hVideoPosScroll, (UINT)PBM_SETPOS, (WPARAM) (CurScrollPos >> VideoPosShiftBits), 0);
 }
diff --git a/common/win32_fullscreen.h b/common/win32_fullscreen.h
index 43a5009..eb5a57b 100644
--- a/common/win32_fullscreen.h
+++ b/common/win32_fullscreen.h
@@ -162,7 +162,7 @@ private:
     HWND hVolumeSlider;
 
 private:
-    void SetVideoPosScrollPosByVideoPos(int CurPos);
+    void SetVideoPosScrollPosByVideoPos(libvlc_time_t CurPos);
     static bool handle_position_changed_event_enabled;
     static void handle_position_changed_event(const libvlc_event_t* event, void *param);
     //static void handle_time_changed_event(const libvlc_event_t* event, void *param);
-- 
1.7.7.1.msysgit.0

